Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins.quality
[Groovy] Class FindBugs

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.SourceTask
              org.gradle.api.plugins.quality.FindBugs

All Implemented Interfaces:
  Reporting, VerificationTask

    class FindBugs
    extends SourceTask

Analyzes code with FindBugs.

Property Summary
`FileCollection` | `classes` The classes to be analyzed.
`FileCollection` | `classpath` Compile class path for the classes to be analyzed.
`FileCollection` | `findbugsClasspath` Class path holding the FindBugs library.
`boolean` | `ignoreFailures` Whether or not to allow the build to continue if there are warnings.
`FileCollection` | `pluginClasspath` Class path holding any additional FindBugs plugins.

Method Summary
`void` | `evaluateResult(FindBugsResult findbugsResult)`
`FindBugsReports` | `getReports()` The reports to be generated by this task.
`FindBugsReports` | `reports(Closure closure)` Configures the reports to be generated by this task.
`void` | `run()`

Methods inherited from class SourceTask
exclude, exclude, exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, include, include, setExcludes, setIncludes, setSource, source

Property Detail

### classes

    @SkipWhenEmpty
    @InputFiles
    FileCollection classes

  The classes to be analyzed.

### classpath

    @InputFiles
    FileCollection classpath

  Compile class path for the classes to be analyzed. The classes on this class path are used during analysis but aren't analyzed themselves.

### findbugsClasspath

    @InputFiles
    FileCollection findbugsClasspath

  Class path holding the FindBugs library.

### ignoreFailures

    boolean ignoreFailures

  Whether or not to allow the build to continue if there are warnings.

### pluginClasspath

    @InputFiles
    FileCollection pluginClasspath

  Class path holding any additional FindBugs plugins.

Method Detail

### evaluateResult

    void evaluateResult(FindBugsResult findbugsResult)

### getReports

    FindBugsReports getReports()

  The reports to be generated by this task.
  Returns:
    The reports container

### reports

    FindBugsReports reports(Closure closure)

  Configures the reports to be generated by this task. The contained reports can be configured by name and closures. Example:

       findbugsTask {
         reports {
           xml {
             destination "build/findbugs.xml"
           }
         }
       }

  Parameters:
    `closure` - The configuration
  Returns:
    The reports container

### run

    @TaskAction
    void run()

Gradle API 1.1-rc-1